On Jun 1, 2008, at 07:53 AM, Michael T. Richter wrote:

> Since I've had to reinstall all my gems after the upgrade to 1.8.7,  
> here's an idea of what's happening with the gem servers right now:
>
> $ for a in actionmailer RedCloth rspec rubygems-update rails fxruby  
> bindata actionpack gem_plugin rush ruby-debug-ide activeresource  
> opod ; do echo $a ; until gem install $a ; do echo Retrying $a... ;  
> done ; done
> actionmailer
> Bulk updating Gem source index for: http://gems.rubyforge.org/
> Bulk updating Gem source index for: http://gems.rubyforge.org/
> Bulk updating Gem source index for: http://gems.rubyonrails.org/
> ERROR:  While executing gem ... (Gem::RemoteSourceException)
>     Error fetching remote gem cache: Errno::EPIPE: Broken pipe  
> readinghttp://gems.rubyonrails.org/yaml

No, there is no problem with the rubyforge mirrors.

gem sources -r http://gems.rubyonrails.org/

Will probably fix your problem.